zope :: interface :: interface :: Attribute :: Class Attribute |
[hide private]

# Class Attribute

    object --+
             |
       Element --+
                 |
                Attribute

Attribute descriptions

Instance Methods | [hide private]
__provides__(...) Special descriptor for class __provides__ |
Inherited from `Element`: `__init__`, `__providedBy__`, `getDoc`, `getName`, `getTaggedValue`, `getTaggedValueTags`, `queryTaggedValue`, `setTaggedValue` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]
| __implemented__ = `<implementedBy zope.interface.interface.Attr`...``
| interface = `None` hash(x)

Properties | [hide private]
Inherited from `object`: `__class__`

Method Details | [hide private]

### __provides__(...) |
> Special descriptor for class __provides__ The descriptor caches the implementedBy info, so that we can get declarations for objects without instance-specific interfaces a bit quicker. For example:
>     >>> from zope.interface import Interface
>     >>> class IFooFactory(Interface):
>     ...     pass
>     >>> class IFoo(Interface):
>     ...     pass
>     >>> class C(object):
>     ...     implements(IFoo)
>     ...     classProvides(IFooFactory)
>     >>> [i.getName() for i in C.__provides__]
>     ['IFooFactory']
>     >>> [i.getName() for i in C().__provides__]
>     ['IFoo']
Overrides: Element.__provides__

Class Variable Details | [hide private]

  ### __implemented__ Value:
      <implementedBy zope.interface.interface.Attribute>